-------------------------------------------------------------------------------------------
-- d-flip_flop_1_tb
-- singl dFlop
-- CBP 26-12-22
-------------------------------------------------------------------------------------------
Library IEEE;
USE IEEE.Std_logic_1164.all;

ENTITY d_flipflop_1_tb IS
END d_flipflop_1_tb;

ARCHITECTURE Behavioral of d_flipflop_1_tb IS

COMPONENT d_flipflop_1
   port(
      Q : out std_logic;    
      Clk :in std_logic;  
      reset: in std_logic;  
      D :in  std_logic    
   );
END COMPONENT;

signal Q :  std_logic :='0';
signal Clk : std_logic := '0';
signal reset : std_logic := '0';   
signal D : std_logic := '0';  


constant clock_period : time := 100 ns;

BEGIN

-- Component Instantiation

	uut: d_flipflop_1 PORT MAP(
	Q => Q,
	Clk => Clk,
	reset => reset,
	D => D
	);
	
-- clock process definition
clock_process : process
begin
Clk <= '0';
wait for clock_period/2;
Clk <= '1';
wait for clock_period/2;
end process;

-- Stimulus process
stim_process : process
begin
reset <= '1';
wait for 80 ns;
reset <= '0';
wait for 80 ns;

D <= '0';
wait for 120 ns;
D <= '1';
wait for 120 ns;
D <= '0';
wait for 120 ns;
D <= '1';
wait for 120 ns;

end process stim_process;
end Behavioral;