----------------------------------------------------------------------------------
-- NoC_Logic_Problem_tb (from logic in language Unit) Testbench
-- L = A . ~B + A . B
-- CBP 01-01-23
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity NoC_Logic_Problem_tb is
end NoC_Logic_Problem_tb;

architecture Behavioral of NoC_Logic_Problem_tb is

component NoC_Logic_Problem is
    Port ( A : in std_logic;
           B : in std_logic;
 --          C : in std_logic;
           Op : out std_logic);
end component;

signal A,B,Op : std_logic;

begin
  -- Component Instantiation
        uut: Noc_Logic_Problem PORT MAP(
            A => A,
			B => B,
			Op => Op
          );
          
-- TestBench Process
tb : process
    begin
        A <= '0';
        B <= '0';
        wait for 100 ns;
        A <= '0';
        B <= '1';
        wait for 100 ns;
        A <= '1';
        B <= '0';
        wait for 100 ns;
        A <= '1';
        B <= '1';
        A <= '0';
        B <= '0';
        wait for 100 ns;
        A <= '0';
        B <= '1';
        wait for 100 ns;
        A <= '1';
        B <= '0';
        wait for 100 ns;
        A <= '1';
        B <= '1';   
        wait for 100 ns;
        A <= '0';
        B <= '0';               
        wait;
     END PROCESS tb;
  --  End Test Bench 
          
end Behavioral;
