----------------------------------------------------------------------
-- ISE_RAM
-- CBP 06-01-23
-- Mods 16-01-23 to output data UUUUUUUUUUUUUUUU when address in is UUUU
-----------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity RAM is
    Port ( 
    clk      : in std_logic;
    addr_in  : in std_logic_vector(15 downto 0);
    data_in  : in std_logic_vector(15 downto 0);    
    data_out : out std_logic_vector(15 downto 0);
    mio      : in std_logic;
    mwe      : in std_logic
	);		   
end RAM;

architecture Behavioral of RAM is

    type ram_type is array (0 to 31) of std_logic_vector (15 downto 0); 
    signal RAM : ram_type := 
    (
    -- code segment
    X"8000",     
    X"2011",     
    X"9000",      
    X"7000",     
    X"0000",              
    X"0000",                   
    X"0000",                
    X"0000",                           
    X"0000", 
    X"0000", 
    X"0000", 
    X"0000",
    X"0000", 
    X"0000", 
    X"0000", 
    X"0000",
    -- data segment
    X"0002", X"0003", X"0004", X"0005",  
    X"0001", X"0001", X"0002", X"0006",    
    X"0000", X"0000", X"0000", X"0000",    
    X"0000", X"0000", X"0000", X"0000"     
    ); 

  signal addr5Bit : std_logic_Vector(4 downto 0);
  
begin
      
  addr5bit(4) <= addr_in(4);
  addr5bit(3) <= addr_in(3);
  addr5bit(2) <= addr_in(2);
  addr5bit(1) <= addr_in(1);
  addr5bit(0) <= addr_in(0);  
                	
  process(mio, mwe, addr5bit, clk)
  begin
  
  --------------- Write your code here --------------------
  

  end process;	

end Behavioral;
