----------------------------------------------------------------------
--
--  CBP 01-12-14
--
--  ISE_fsm
--

-----------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity fsm is
    Port ( 
    reset : in std_logic;
    clk : in std_logic;
	cState : out std_logic;	-- current state
	nState : in std_logic	-- next state
	);		   
end fsm;

architecture Behavioral of fsm is

begin
    
	FSM: process(reset, clk) 
	begin

		if (reset = '1') then
			cState <= '0';
		else 
			if rising_edge(clk) then
				cState <= nState;
			end if;
		end if;
	end process;

end Behavioral;
