--------------------------------------------------------------------------------
-- OR_gate_tb.vhd
-- CBP 01-01-23
--------------------------------------------------------------------------------

  LIBRARY ieee;
  USE ieee.std_logic_1164.ALL;
  USE ieee.numeric_std.ALL;

  ENTITY or2TestBench IS
  END or2TestBench;

  ARCHITECTURE behavioral OF or2TestBench IS 

  -- Component Declaration
    COMPONENT or2 is
    Port ( A : in std_logic;
           B : in std_logic;
           Op : out std_logic);
    END COMPONENT;

	signal A,B,Op :std_logic;
         
  BEGIN
  -- Component Instantiation
        uut: or2 PORT MAP(
            A => A,
			B => B,
			Op => Op
          );

  --  Test Bench Statements
    tb : PROCESS
     BEGIN
        A <= '0';
        B <= '0';
        wait for 100 ns;
        A <= '0';
        B <= '1';
        wait for 100 ns;
        A <= '1';
        B <= '0';
        wait for 100 ns;
        A <= '1';
        B <= '1';
        wait for 100 ns;
        A <= '0';
        B <= '0';
     END PROCESS tb;
  --  End Test Bench 
  
END	behavioral;

