----------------------------------------------------------------------------------
-- pin_lock.vhd
-- CBP 25-12-22
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity pin_lock is
port(   clock : in std_logic;  
        button_reset : in std_logic;   
        button_1 : in std_logic;    
        button_2 : in std_logic;  
        button_3 : in std_logic;  
        button_4 : in std_logic;                  
        unlock_out : out std_logic 
        );
end pin_lock;

architecture Behavioral of pin_lock is

type state_type is (stateA,stateB,stateC,stateD,stateE);  --Defines the type for states in the state machine
signal state : state_type; 

begin

next_state_logic: process(button_reset,button_1,button_2,button_3,button_4)
begin
    if( button_reset = '1' ) then     --resets state and output signal when reset is asserted.
        state <= stateA;     
    end if;
	
        case state is
            when stateA =>   


                
            when stateB =>   

      
                
            when stateC =>   		
  
  
                
            when stateD =>   --when the current state is D.			


                
			when stateE =>


        end case;
		
end process;   

output_logic: process(state)
begin
    case state is
    when stateA =>
        unlock_out <= '0';
    when stateB =>
        unlock_out <= '0';        
    when stateC =>
        unlock_out <= '0';
    when stateD =>
        unlock_out <= '0';
    when stateE =>
        unlock_out <= '1';    
    end case;  
end process;                          

end Behavioral;